	
    
    
<script>

function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 2) ? 0 : i + 2; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }




	  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27 	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==118){ 

						pagacon=document.getElementById("basetotpago2").value;
						parent.document.getElementById("pagacon").value=pagacon;
						parent.document.getElementById("pagacon").focus();

 } // f8 guardar e imprimir 
//if(num==121) validar_Recibo();
	    //f10 guardar e imprimir 

  }  
  }
	
	
	
	
	function NuevoAbono(numfac) {
			parent.location.href="NuevoAbono.php?numfac=" + numfac;
		}




var fila = 0;
function pulsar(e) {
  tab = document.getElementById('Table1');
  filas = tab.getElementsByTagName('tr');
  if (e.keyCode==38 && fila>0) num=-1;
   else if(e.keyCode==40 && fila<filas.length-1) num=1;
   else return;
  filas[fila].style.background = 'white';
  fila+=num;
  filas[fila].style.background = 'yellow';
  
}



function actualizar_articulo(numfac,numlinea, cdgbar,cantidad){

	//posicion=(numlinea*16)-30;
	//parent.document.formulario_lineas.posicion.value=posicion; /// indica la posicion del scroll bar
  //  var elmnt = document.getElementById("xdetalleAW");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
   // elmnt.scrollLeft =posicion; 
   // elmnt.scrollTop =posicion;
	
	if (cantidad <=0) {
		
		 alert("Favor verifique cantidad no pueder ser igual o menor a cero")
		  document.getElementById("frame_datos").src="actualizar_articulo.php?codfacturatmp="+numfac+"&numlinea=" + numlinea+"&cdgbar=" + cdgbar+"&cantidad=" + cantidad;
		 // parent.document.getElementById("form_busqueda").submit();
		//document.getElementById("cantidad").value("");
			document.getElementById("cantidad").value("");
			
			
			//parent.document.form_busqueda.totalpago.value=basetotpago;
		document.getElementById("cantidad").focus();
		document.getElementById("cantidad").select();
		 
} else {


  document.getElementById("frame_datos").src="actualizar_articulo.php?codfacturatmp="+numfac+"&numlinea=" + numlinea+"&cdgbar=" + cdgbar+"&cantidad=" + cantidad;
 

}
		}



function validar_monto(salact,monabo)
			{
	if (monabo < salact ){

		alert("Atencion, el abono es mayor que el saldo ")
			
			} else {
				alert("Atencion, el abono es memor al saldo:\n\n"+monabo);
	
				}
		}
				///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////
		




salact=""
monabo=""
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar_Monto(salact,monabo);		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)

	
	function pon_prefijo(baseporpagar,basetotpago) {
	parent.document.form_busqueda.saldoporpagar.value=baseporpagar;		
	parent.document.form_busqueda.totalpago.value=basetotpago;
	parent.document.form_busqueda.monabo.value="0.00";
	parent.document.form_busqueda.pagacon.value="0.00";
	parent.document.form_busqueda.vuelto.value="0.00";



}

					function inicio() {
    var elmnt = document.getElementById("xdetalleAW");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft = posicion;
    elmnt.scrollTop = posicion;
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
	
</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton(); inicio();">
<?php 


include ("../conexion.php");

$cantientre=0;	


 if (isset( $_GET["codfacturatmp"])) {
	 
  $codfactura=$_GET["codfacturatmp"]; 

 
/*si es modificacion de l a rejilla*/

 }
 
 
 
 
 else  {
	
 $cdgcli =$_POST["cdgcli"];
 $codfactura =$_POST["numfac"];
 
 
 /*
 
if ($result = $mysqli->query("SELECT *  FROM entregas_clientes_recibos_lineastmp WHERE  codfactura='$codfactura'" )) {
   $filas = $result->num_rows;
   $result->close();
}

*/
//if ($filas <= 0 ){
 $consulta3 =  "TRUNCATE entregas_clientes_recibos_lineastmp";
$mysqli->query($consulta3);

//}

 /*
 $fechahoy=date("Y-m-d");
$sel_fact="INSERT INTO entregastmp (codfactura,fecha) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$codfacturatmp=$mysqli-> insert_id ; 


$consulta2 =  "DELETE FROM entregastmp  WHERE codfactura !='$codfacturatmp'";
$mysqli->query($consulta2);
*/




$retorno=0;	
$consulta = "SELECT * FROM entregas WHERE codfactura='$codfactura'";


$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
	
		$cdgcli = $fila["cdgcli"];
		$cedcli = $fila["cedcli"];
		$numtel = $fila["numtel"];
		$dircli = $fila["dircli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		$codfactura = $fila["codfactura"];
		$modpro = $fila["modpro"];
		$obsfac = $fila["obsfac"];
		$cdgtipexo = $fila["cdgtipexo"];
		$numdocexo = $fila["numdocexo"];
		$nominstexo = $fila["nominstexo"];
		
		

		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
		if ($cdgtipexo == "01") { $cliexe=2; } else { $cliexe=1; } 
		
      ///////////////////////////////////  Calcula el saldo del cliente//////////////////////////////////////////////
if ($cdgcli!=9999){
		$query_tmp2 = "SELECT SALACT, LIMCRE FROM web_0301 WHERE cdgcli='$cdgcli' ";
        if ($resultado2 = $mysqli->query($query_tmp2)) 
        $fila2 = $resultado2->fetch_array();
		
        $salact    = $fila2["SALACT"];	
		$limcre    = $fila2["LIMCRE"];		
} else {

   		$salact    = 0;	
        $limcre    = 0;
  }         

 //////////////////////////////////////////////////////iinserta la lineas de detalle de la factura /////////////////////////////
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
	
	
//$consulta = "SELECT * FROM entrelineas WHERE codfactura='$codfactura'  ORDER BY numlinea DESC";	
$consulta = "SELECT * FROM entrelineas_2101 WHERE codfactura='$codfactura' AND cantidad > 0 ORDER BY numlinea DESC";
$contador=0;
if ($resultado = $mysqli->query($consulta)) 


    while ($fila2 = $resultado->fetch_assoc()) {

        $cdgbar    = $fila2["codigo"];
        $dscart    = $fila2["dscart"];
		$cantidad  = $fila2["cantidad"];
		$cantinicial  = $fila2["cantinicial"];
		$preivi    = $fila2["preivi"];
		$importe   = $fila2["importe"];
		$impuesto  = $fila2["impuesto"];
		$mondes    = $fila2["mondes"];
		$cdgfam    = $fila2["cdgfam"];
     	$cdglin    = $fila2["cdglin"];
		$descuento = $fila2["dcto"];



	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
			$sel_insert="INSERT INTO entregas_clientes_recibos_lineastmp (codfactura ,dscart, numlinea ,codigo,codfamilia, cantidad,cantanterior,cantsaldo,preivi,importe,dcto,mondes, impuesto) VALUES ('$codfactura','$dscart','','$cdgbar','$cdgfam','$cantinicial','$cantidad','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto')";
		   $mysqli->query($sel_insert);
		
} 

 $preciototal= 	$baseimp+$baseiva-$basedescuento;
 

 
 }


?>




<div id="xdetalleAW">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>

<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
$contador=0;
$baseimp=0;
$baseiva=0;
$basedescuento=0;
$preciotot=0;

	$sel_lineas = "SELECT entregas_clientes_recibos_lineastmp.*,web_1001.* FROM entregas_clientes_recibos_lineastmp,web_1001 WHERE entregas_clientes_recibos_lineastmp.codfactura='$codfactura' AND entregas_clientes_recibos_lineastmp.codigo=web_1001.cdgbar ORDER BY entregas_clientes_recibos_lineastmp.numlinea ASC";

/*
$sel_lineas="SELECT entrelineas.*,web_1001.* FROM entrelineas,web_1001 WHERE entrelineas.codfactura='$codfactura' AND   entrelineas.cdgcli='$cdgcli' AND entrelineas.codigo=web_1001.cdgbar  ORDER BY entrelineas.numlinea ASC";
*/
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila2 = $resultado->fetch_assoc()) {

        $numlinea = $fila2["numlinea"];
        $cdgbar = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$cantentrega = $fila2["cantentrega"];
		$cantsaldo = $fila2["cantsaldo"];

	


	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
				<td width="15%"><?php echo $cdgbar?></td>
				<td width="28%"><div align="left"><?php echo $dscart?></div></td>
                
				<td width="9%" class=""><div align="right"><?php echo $cantidad?></div></td>
               
                
        <td width="25%"><div align="center"><input type="text"   value="<?php echo number_format($cantentrega,2,".",",") ?>"  name="cantidad"  id="cantidad" onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo  $codfactura ?>',<?php echo $numlinea ?>,<?php echo  $cdgbar ?>,this.value)"   maxlength="15" size="8" autocomplete="off"    /> </div></td>
 
			
				<td width="17%"><div align="center"><?php echo number_format($cantsaldo,2,".",",")?></div></td>
                 
                <td width="6%"></td>
			</tr>
					
					

			
<?php 



$contador++;
}


?>



</table>


<blockquote>&nbsp;	</blockquote>
</div>


</body>
</html>